class UsersController < ApplicationController
  skip_before_action :verify_authenticity_token
  def create
    user = User.new(user_params)
    if user.save
      render json: user
    else
      render json: user.errors, status: :unprocessible_entry
    end
  end

  private

  def user_params
    params.require(:user).permit(:first_name, :last_name)
  end
end